image: python:latest

stages: 
  - build
  - deploy


build-job:
  stage: build
  script:
    - echo "STAGE - BUILD"
    - echo "Packaging ${CI_PROJECT_NAME} ${CI_COMMIT_REF_SLUGZ}@${CI_COMMIT_SHA}"
  artifacts:
    name: "${CI_PROJECT_NAME}"
    paths:
      - ./*


release:
  stage: deploy
  script:
    - echo "STAGE - DEPLOY"
    - pip3 install gitlab_release
    - python3 -m gitlab_release --zip "${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.zip" "${PRIVATE_TOKEN}" *

  only:
    - tags
